/*  Auteur: Simon Pauw
 *  Project: Arduinocursus ZB45
 *  Datum: April 2016
 *  Programma: PWM
 *  Beschrijving: Laad een LED (schijnbaar) op 20% vermogen branden
 */

// Variable declaratie
int sensorInput;
float voltage;

// Setup: Dit wordt 1 keer uitgevoerd, direct na het starten van de Arduino.
void setup() {
  // Begin seriele verbinding:
  Serial.begin(9600);

  // Stel A0 in als input.
  pinMode(A0, INPUT);
  
}

// Loop: Deze code wordt eindeloos herhaald.
void loop() {
  // Lees de waarde van de sensor
  sensorInput = analogRead(A0);

  // Converteer naar voltage
  voltage = 5.0*(float)sensorInput/1023;
  
  // Stuur bericht over de USB-verbinding
  Serial.print("Voltage = ");
  Serial.println(voltage);

  // Wacht 1 seconde
  delay(1000);
}
